Skip to main content
GET
/
api
/
v2
/
placements
/
{placementID}
/
servers
List placement servers
curl --request GET \
  --url https://reservation.nks.europe-west4.nscale.com/api/v2/placements/{placementID}/servers \
  --header 'Authorization: Bearer <token>'
[
  {
    "metadata": {
      "id": "psrv-7f3d9d5d2a7c4e32",
      "name": "training-workers-0",
      "organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
      "projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
      "creationTime": "2026-04-28T11:04:00Z",
      "createdBy": "john.doe@example.com",
      "provisioningStatus": "provisioned",
      "healthStatus": "healthy"
    },
    "status": {
      "regionId": "c7568e2d-f9ab-453d-9a3a-51375f78426b",
      "reservationId": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
      "placementId": "b8ce034e-fccb-4d6c-a0e0-af3e3f346715",
      "networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe",
      "powerState": "Running",
      "privateIP": "10.0.0.12",
      "publicIP": "203.0.113.12",
      "macAddress": "fa:16:3e:7c:11:8a"
    }
  },
  {
    "metadata": {
      "id": "psrv-950ab3259a1443da",
      "name": "training-workers-1",
      "organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
      "projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
      "creationTime": "2026-04-28T11:04:02Z",
      "createdBy": "john.doe@example.com",
      "provisioningStatus": "provisioned",
      "healthStatus": "healthy"
    },
    "status": {
      "regionId": "c7568e2d-f9ab-453d-9a3a-51375f78426b",
      "reservationId": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
      "placementId": "b8ce034e-fccb-4d6c-a0e0-af3e3f346715",
      "networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe",
      "powerState": "Running",
      "privateIP": "10.0.0.13",
      "macAddress": "fa:16:3e:11:70:2f"
    }
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

placementID
string
required

The placement ID. A Kubernetes name. Must be a valid DNS label containing only lower case characters, numbers or hyphens, start and end with a character or number, and be at most 63 characters in length.

Required string length: 1 - 63

Response

A list of placement servers.

metadata
object
required

Metadata required by project scoped resource reads.

status
object
required

Read only runtime status information about a placement server.